Loading...
Searching...
No Matches
Opm::BlackoilWellModelGuideRates< Scalar, IndexTraits > Class Template Reference

Class for handling the guide rates in the blackoil well model. More...

`#include <BlackoilWellModelGuideRates.hpp>`

## Public Member Functions

| BlackoilWellModelGuideRates (const BlackoilWellModelGeneric< Scalar, IndexTraits > &wellModel)
| Constructor initializes reference to the well model.
std::unordered_map< std::string, data::GuideRateValue > | calculateWellGuideRates (const int reportStepIdx) const
| Calculate guide rate values for all wells.
void | assignWellGuideRates (data::Wells &wsrpt, const int reportStepIdx) const
| Assign well guide rates.
std::unordered_map< std::string, data::GroupGuideRates > | calculateAllGroupGuideRates (const int reportStepIdx) const
| Calculates guide rate for all groups.
void | assignGroupGuideRates (const Group &group, const std::unordered_map< std::string, data::GroupGuideRates > &groupGuideRates, data::GroupData &gdata) const
| Assign group guide rates.
bool | guideRateUpdateIsNeeded (const int reportStepIdx) const
| Check if a guide rate update is needed.

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::BlackoilWellModelGuideRates< Scalar, IndexTraits >

Class for handling the guide rates in the blackoil well model.

The documentation for this class was generated from the following files:

- opm/simulators/wells/BlackoilWellModelGuideRates.hpp
- opm/simulators/wells/BlackoilWellModelGuideRates.cpp